import '../telemetry-oCUM52DG.js';
import { W as Workflow } from '../workflow-DGktrYAL.js';
import { T as ToolAction } from '../index-62DyKJRU.js';
import '@opentelemetry/api';
import '@opentelemetry/sdk-node';
import '@opentelemetry/sdk-trace-base';
import 'xstate';
import 'zod';
import '../base.js';
import '../index-B0-NXUYv.js';
import 'pino';
import 'stream';
import '../engine-EwEG-4Iv.js';
import 'ai';
import 'json-schema';
import '../metric-D2V4CR8D.js';
import '../types-M16hSruO.js';
import 'sift';
import '../vector/index.js';
import '../tts/index.js';

declare class Integration<ToolsParams = void, ApiClient = void> {
    name: string;
    private workflows;
    constructor();
    /**
     * Workflows
     */
    registerWorkflow(name: string, fn: Workflow): void;
    getWorkflows({ serialized }: {
        serialized?: boolean;
    }): Record<string, Workflow>;
    /**
     * TOOLS
     */
    getStaticTools(_params?: ToolsParams): Record<string, ToolAction<any, any, any, any>>;
    getTools(_params?: ToolsParams): Promise<Record<string, ToolAction<any, any, any, any>>>;
    getApiClient(): Promise<ApiClient>;
}

declare abstract class OpenAPIToolset {
    abstract readonly name: string;
    abstract readonly tools: Record<string, ToolAction<any, any, any, any>>;
    authType: string;
    constructor();
    protected get toolSchemas(): any;
    protected get toolDocumentations(): Record<string, {
        comment: string;
        doc?: string;
    }>;
    protected get baseClient(): any;
    getApiClient(): Promise<any>;
    protected _generateIntegrationTools<T>(): T;
}

export { Integration, OpenAPIToolset };
