import { $ as CustomModelConfig } from '../index-62DyKJRU.js';
import 'ai';
import 'json-schema';
import 'zod';
import '../base.js';
import '@opentelemetry/api';
import '../index-B0-NXUYv.js';
import 'pino';
import 'stream';
import '../telemetry-oCUM52DG.js';
import '@opentelemetry/sdk-node';
import '@opentelemetry/sdk-trace-base';
import '../metric-D2V4CR8D.js';
import '../types-M16hSruO.js';
import 'sift';
import '../vector/index.js';
import '../engine-EwEG-4Iv.js';
import '../tts/index.js';

interface RelevanceScoreProvider {
    getRelevanceScore(text1: string, text2: string): Promise<number>;
}
declare function createSimilarityPrompt(query: string, text: string): string;

declare class CohereRelevanceScorer implements RelevanceScoreProvider {
    private client;
    private model;
    constructor(model: string, apiKey?: string);
    getRelevanceScore(query: string, text: string): Promise<number>;
}

declare class MastraAgentRelevanceScorer implements RelevanceScoreProvider {
    private agent;
    constructor(provider: string, name: string, model?: CustomModelConfig['model']);
    getRelevanceScore(query: string, text: string): Promise<number>;
}

export { CohereRelevanceScorer, MastraAgentRelevanceScorer, type RelevanceScoreProvider, createSimilarityPrompt };
