import { M as MastraStorage, l as TABLE_NAMES, m as StorageColumn, ap as StorageThreadType, ao as MessageType, o as StorageGetMessagesArg } from '../index-62DyKJRU.js';
export { n as WorkflowRow } from '../index-62DyKJRU.js';
import 'ai';
import 'json-schema';
import 'zod';
import '../base.js';
import '@opentelemetry/api';
import '../index-B0-NXUYv.js';
import 'pino';
import 'stream';
import '../telemetry-oCUM52DG.js';
import '@opentelemetry/sdk-node';
import '@opentelemetry/sdk-trace-base';
import '../metric-D2V4CR8D.js';
import '../types-M16hSruO.js';
import 'sift';
import '../vector/index.js';
import '../engine-EwEG-4Iv.js';
import '../tts/index.js';

interface LibSQLConfig {
    url: string;
    authToken?: string;
}
declare class MastraStorageLibSql extends MastraStorage {
    private client;
    constructor({ config }: {
        config: LibSQLConfig;
    });
    private getCreateTableSQL;
    createTable({ tableName, schema, }: {
        tableName: TABLE_NAMES;
        schema: Record<string, StorageColumn>;
    }): Promise<void>;
    clearTable({ tableName }: {
        tableName: TABLE_NAMES;
    }): Promise<void>;
    insert({ tableName, record }: {
        tableName: TABLE_NAMES;
        record: Record<string, any>;
    }): Promise<void>;
    load<R>({ tableName, keys }: {
        tableName: TABLE_NAMES;
        keys: Record<string, string>;
    }): Promise<R | null>;
    getThreadById({ threadId }: {
        threadId: string;
    }): Promise<StorageThreadType | null>;
    getThreadsByResourceId({ resourceId }: {
        resourceId: string;
    }): Promise<StorageThreadType[]>;
    saveThread({ thread }: {
        thread: StorageThreadType;
    }): Promise<StorageThreadType>;
    updateThread({ id, title, metadata, }: {
        id: string;
        title: string;
        metadata: Record<string, unknown>;
    }): Promise<StorageThreadType>;
    deleteThread({ threadId }: {
        threadId: string;
    }): Promise<void>;
    private parseRow;
    getMessages<T extends MessageType[]>({ threadId, selectBy }: StorageGetMessagesArg): Promise<T>;
    saveMessages({ messages }: {
        messages: MessageType[];
    }): Promise<MessageType[]>;
}

export { type LibSQLConfig, MastraStorage, MastraStorageLibSql, StorageColumn, StorageGetMessagesArg, TABLE_NAMES };
